package repo

import (
	"net/http"

	"code.gitea.io/gitea/models"
	"code.gitea.io/gitea/modules/context"
)

func GetAttachmentStatus(ctx *context.APIContext) {

	var (
		err error
	)

	UUID := ctx.Params(":uuid")
	attachment, err := models.GetAttachmentByUUID(UUID)
	if err != nil {
		ctx.Data["error"] = err.Error()
	}

	ctx.JSON(http.StatusOK, map[string]interface{}{
		"UUID":             UUID,
		"AttachmentStatus": attachment.DecompressState,
	})

}
